Package org.eclipse.birt.report.model.api.metadata

# Interface MetaDataConstants

public interface MetaDataConstants
Provides constants used in the meta-data package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_NAME`
Code for an element that does not take a name.
`static final String`
`NO_NAME_SPACE`
Code for an element that does not appear in any name space.
`static final int`
`OPTIONAL_NAME`
Code for an element with an optional name.
`static final String`
`REPORT_DESIGN_NAME`
Internal name of the report design element type.
`static final String`
`REPORT_ELEMENT_NAME`
Internal name of the report element type.
`static final int`
`REQUIRED_NAME`
Code for an element with a required name.
`static final String`
`STYLE_NAME`
Internal name of the style element type.

## Field Details

### STYLE_NAME

static final String STYLE_NAME
Internal name of the style element type.

See Also:
  - Constant Field Values

### REPORT_ELEMENT_NAME

static final String REPORT_ELEMENT_NAME
Internal name of the report element type.

See Also:
  - Constant Field Values

### REPORT_DESIGN_NAME

static final String REPORT_DESIGN_NAME
Internal name of the report design element type.

See Also:
  - Constant Field Values

### NO_NAME_SPACE

static final String NO_NAME_SPACE
Code for an element that does not appear in any name space.

See Also:
  - Constant Field Values

### NO_NAME

static final int NO_NAME
Code for an element that does not take a name.

See Also:
  - Constant Field Values

### OPTIONAL_NAME

static final int OPTIONAL_NAME
Code for an element with an optional name.

See Also:
  - Constant Field Values

### REQUIRED_NAME

static final int REQUIRED_NAME
Code for an element with a required name.

See Also:
  - Constant Field Values